using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        HttpCookie cookie = Request.Cookies["CheckCode"];

        if (TextBox1.Text == "李亮" && TextBox2.Text == "888888")
        {
            if (cookie.Value == TextBox3.Text)
            {
                Response.Write("<script>alert('用户名和密码正确，验证码也正确，可成功登录！')</script>");
            }
            else
            {
                Response.Write("<script>alert('验证码错误！')</script>");
            }
        }
        else
        {
            Response.Write("<script>alert('对不起，用户名或密码不正确，请重新输入！')</script>");
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        TextBox1.Text = "";
        TextBox2.Text = "";
    }
}
